import GroupModel from "../../Models/GroupModel";
import { IPopUpItemOptions, PopUpItem } from "../PopUp/PopUpItem";
export interface IToolbarOverflowItemOptions extends IPopUpItemOptions {
    source: GroupModel;
}
export declare class NavigationOverflowItem extends PopUpItem {
    private m_selectEventSubscription;
    private m_source;
    constructor(options: IToolbarOverflowItemOptions);
    get source(): GroupModel;
    template(): string;
    protected onActivate(e: any): void;
    private onSelect;
    private processValidationErrors;
}
